import type { JDLApplicationOptionType, JDLApplicationOptionTypeValue, JDLApplicationOptionValue } from '../types/parsing.js';
export default class JDLApplicationDefinition {
    optionValues: Record<string, JDLApplicationOptionValue>;
    optionTypes: Record<string, JDLApplicationOptionType>;
    quotedOptionNames: string[];
    constructor({ optionValues, optionTypes, quotedOptionNames }: {
        optionValues: any;
        optionTypes: any;
        quotedOptionNames: any;
    });
    getTypeForOption(optionName: string): JDLApplicationOptionTypeValue;
    doesOptionValueExist(name: string, value: string | string[]): boolean;
    doesOptionExist(optionName: string): boolean;
    shouldTheValueBeQuoted(optionName: string): boolean;
}
